package org.codehaus.xfire.aegis.type;

import java.util.Date;

import org.codehaus.xfire.SOAPConstants;
import org.codehaus.xfire.util.DateUtils;
import org.dom4j.QName;

/**
 * DateType
 * 
 * @author <a href="mailto:dan@envoisolutions.com">Dan Diephouse</a>
 */
public class DateType
	extends SimpleType
{
	public Object coerceString(String string)
	{
		return DateUtils.parseDate( string );
	}
    
	public String coerceValue(Object value)
	{
        return DateUtils.formatDate((Date)value);
	}

    public QName getDefaultSchemaType()
    {
        return QName.get("date", SOAPConstants.XSD);
    }
}
