package org.codehaus.xfire.aegis.type;

import org.codehaus.xfire.SOAPConstants;
import org.dom4j.QName;


/**
 * Integer Type.
 * 
 * @author <a href="mailto:dan@envoisolutions.com">Dan Diephouse</a>
 */
public class IntegerType
	extends SimpleType
{
	public Object coerceString(String string)
	{
		return new Integer( Integer.parseInt(string) );
	}
    
	public String coerceValue(Object value)
	{
        return ((Integer)value).toString();
    }

	public QName getDefaultSchemaType()
	{
		return QName.get("int", SOAPConstants.XSD);
	}
}
