package org.codehaus.xfire.aegis.type;

import org.codehaus.xfire.SOAPConstants;
import org.dom4j.QName;


/**
 * Integer Type.
 * 
 * @author <a href="mailto:dan@envoisolutions.com">Dan Diephouse</a>
 */
public class LongType
	extends SimpleType
{
	public Object coerceString(String string)
	{
		return new Long( Long.parseLong(string) );
	}
    
	public String coerceValue(Object value)
	{
        return ((Long)value).toString();
    }

	public QName getDefaultSchemaType()
	{
		return QName.get("long", SOAPConstants.XSD);
	}
}
