package org.codehaus.xfire.aegis.test;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import junit.framework.Assert;

/**
 * BookService
 * 
 * @author <a href="mailto:dan@envoisolutions.com">Dan Diephouse</a>
 */
public class TestService
    extends Assert
{
	public Map EmptyRequest(Map mapContext)
	{
        HashMap results = new HashMap();
        results.put("test", "test");

        return results;
	}
    
    public Map EmptyResponse(Map mapContext)
    {
        HashMap results = new HashMap();
        return results;
    }

    public Map HeaderTest(Map mapContext)
    {
        return mapContext;
    }
    
    public Map PrimitiveTest(Map mapContext)
    {
        Long l = (Long) mapContext.get("long");
        assertNotNull(l);
        assertEquals( 10, l.longValue() );
        
        Integer i = (Integer) mapContext.get("int");
        assertNotNull(i);
        assertEquals( 10, i.intValue() );
        
        String s = (String) mapContext.get("string");
        assertNotNull(s);
        assertEquals( "bleh", s );
        
        return mapContext;
    }
    
    public Map GetFlatArray(Map mapContext)
    {
        List array = new ArrayList();
        array.add("hi");
        array.add("ho");
        
        HashMap results = new HashMap();
        results.put("array", array);
        return results;
    }
}
