package org.codehaus.xfire.aegis.type;

import java.util.Collection;
import org.codehaus.xfire.SOAPConstants;
import org.codehaus.xfire.aegis.mapping.TypeRegistry;
import org.codehaus.xfire.plexus.PlexusXFireTest;
import org.dom4j.QName;

/**
 * @author <a href="mailto:dan@envoisolutions.com">Dan Diephouse</a>
 */
public class DefaultTypeRegistryTest
	extends PlexusXFireTest
{
	public void testRegistry() throws Exception
    {
        TypeRegistry tr = (TypeRegistry) lookup( TypeRegistry.ROLE );
        
        QName q = QName.get("bean", SOAPConstants.SOAP12_ENVELOPE_NS);
        assertNotNull( tr.getTypeClass(q) );
        
        tr.unregisterType(q);
        assertNull( tr.getTypeClass(q) );
        
        Collection types = tr.getAllTypes();
        assertNotNull( types );
    }
}
